macroScript EasyDefectSubmit category: "JDBgraphics"
(
	--User info:
	i_contact_name="My name" 		--Your name
	i_company="My company"			--Your company
	i_phone_number="123456789"	--Your phone number
	i_email="name@domain.com"		--Your email
	i_serial="000-0000000"				--Your serial number  

	--system info
	i_service_pack_max="none"				--3dsMaxServicepack: must be any of these: "none" | "SP1" | "SP2" | "SP3" | "SP4"
	
	i_os="Windows Vista 64 bit"    	--OS: must be any of these: "Windows 7 32 bit" | "Windows 7 64 bit" | "Windows Vista 32 bit" | "Windows Vista 64 bit" |"Windows XP 32 bit" | "Windows XP 64 bit"
	i_sp_other="sp1"						--Operating Service pack.
	
	i_graphiccard="EVGA GTX280 1GB"  --Graphics card "brand GPU  mem"


	--Stop editting here :) ----------------------------------------------------------------------------------------------------------------------------------------------------------

	--calculate max version, version 14000 =  2012, 13000 = 2011 etc
	v=maxVersion()
	t=v[1] as String
	f=(t.count) - 2
	f=10 ^ f
	i_max_version=(((v[1]/f)-2) + 2000) as String
	
	--get Memory info
	r=sysinfo.getSystemMemoryInfo()
	i_RAM= int (r[2] /1024/1024) as String+"MB"
	i_vmem=int (r[4] /1024/1024) as String +"MB"

			hForm = dotNetObject "MaxCustomControls.MaxForm"
			hForm.Size = dotNetObject "System.Drawing.Size" 1020 680
			hForm.FormBorderStyle = (dotnetclass "System.Windows.Forms.FormBorderStyle").FixedToolWindow
			hForm.Text = "EasyDefectSubmission"
			hForm.ShowInTaskbar = False

			wb = dotNetObject  "System.Windows.Forms.WebBrowser" 
			wb.width =1000
			wb.height=680
			wb.AllowNavigation=true
			wb.ScriptErrorsSuppressed=true
		
			--dotNetControl wb "System.Windows.Forms.WebBrowser" pos:[10,10] width:1000 height:680 focus:true
		
			--wb = dotNetObject  "System.Windows.Forms.WebBrowser" pos:[10,10] width:1000 height:680 focus:true
			--dN_UI.controls.add(wb)
				
			website = try((dotNetObject "System.Net.WebClient").downloadString   "http://www.autodesk.com/3dsmax-DefectSubmission") catch (undefined)
				
				fn replaceTag str otag ctag rtag =	
				(
					
					st=findString str otag
					if st!=undefined do 
					(
						tmp=substring str st -1
						en=findString tmp ctag
					)
					if (st!=undefined and en!=undefined ) do
					(
						len=en+(ctag.count)-1;
						str=replace str (st) len rtag 
					)
					str
				)
					
				
				fn replaceString str ss rs =	
				(
					st=findString str ss
			 
					if (st!=undefined ) do
					(
						len=ss.count
					   str=replace str st len rs 
					)
					str
				)
				
				
			if (website!=undefined) do
			(
				--strip flash buttons 
				
				--website= replaceTag "sdfs<v>dfdsfs<vv>dfsdf" "<v>" "<vv>"  " "
				
				website= replaceTag website "<div id=\"adsk91-print_email\">" "</div>"  " "
				
				--strip scripts
				for i=0 to 50 do (
					website= replaceTag website "<script" "</script>"  " "
				)

				--prefill text inputs
				inputs = #(  "contact_name", "company", "phone_number", "email", "serial","graphiccard","RAM","vmem" );
				outputs = #(  i_contact_name, i_company, i_phone_number, i_email, i_serial,i_graphiccard,i_RAM,i_vmem );
				
				 for i=1 to (inputs.count) do 
				 (
					website= (replaceString website ("<input class=\"input_txt\" type=\"text\" name=\""+inputs[i]+"\" value=\"\" size=\"30\" />") ( "<input class=\"input_txt\" type=\"text\" name=\""+inputs[i]+"\" value=\""+outputs[i]+"\" size=\"30\" />" ) )
				 )
			 
				website= replaceString website  "<input class=\"input_txt\" type=\"text\" name=\"sp_other\" value=\"\" size=\"3\" />"	 ("<input class=\"input_txt\" type=\"text\" name=\"sp_other\" value=\""+i_sp_other+"\" size=\"3\" />")
				
				 --prefill dropdowns
				website= replaceString website ("<option>"+i_os+"</option>") ( "<option selected=\"true\">"+i_os+"</option>" )
				website= replaceString website ("<option>"+i_max_version+"</option>") ( "<option selected=\"true\">"+i_max_version+"</option>" )
				website= replaceString website ("<option>"+i_service_pack_max+"</option>") ( "<option selected=\"true\">"+i_service_pack_max+"</option>" )
				 
				 --render webpage
				wb.DocumentText=website

			)
	
			hForm.Controls.Add(wb)
			hForm.Show()
			
		
)